#ifndef MAIN_HPP
#define MAIN_HPP

// ImGui
#include "imgui.h"
#include "imgui_impl_sdl3.h"
#include "imgui_impl_opengl3.h"

// SDL3 and OpenGL
#include <SDL3/SDL.h>
#include <SDL3/SDL_opengl.h>

// C++ Standard Library
#include <iostream>
#include <string>
#include <vector>

// Structs



// Variables
int window_width = 1920;
int window_height = 1080;

float main_scale;
SDL_WindowFlags window_flags = SDL_WINDOW_OPENGL | SDL_WINDOW_RESIZABLE | SDL_WINDOW_HIDDEN | SDL_WINDOW_HIGH_PIXEL_DENSITY;
SDL_Window* window;

bool running;
SDL_Event event;

Uint32 last_time;
Uint32 current_time;
float frame_time;
float fps;
float frame_time_graph[100] = {0.0f};

// Functions
int main(int argc, char* argv[]);
int initialize();
void cleanup();

#endif